%global _empty_manifest_terminate_build 0
Name:           python-gssapi
Version:        1.7.3
Release:        1
Summary:        Python GSSAPI Wrapper
License:        ISC
URL:            https://github.com/pythongssapi/python-gssapi
Source0:        https://files.pythonhosted.org/packages/94/a3/017f779dae311964aa919bb57852ec4ce9b30ad4a5973d8bee1022f192ec/gssapi-1.7.3.tar.gz

%description
Python-GSSAPI provides both low-level and high level wrappers around the GSSAPI C libraries.
While it focuses on the Kerberos mechanism, it should also be useable with other GSSAPI mechanisms.

%package -n     python3-gssapi
Summary:        Python GSSAPI Wrapper
Provides:       python-gssapi
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:  krb5-devel >= 1.10 krb5-libs >= 1.10 gcc
# General requires
BuildRequires:  python3-decorator
# General requires
Requires:       krb5-libs >= 1.10 python3-decorator

%description -n      python3-gssapi
Python-GSSAPI provides both low-level and high level wrappers around the GSSAPI C libraries.
While it focuses on the Kerberos mechanism, it should also be useable with other GSSAPI mechanisms.

%{?python_provide:%python_provide python3-gssapi}

%package help
Summary:        Python GSSAPI Wrapper
Provides:       python3-gssapi-doc
%description help
 Python-GSSAPI Python-GSSAPI provides both low-level and high level wrappers
around the GSSAPI C libraries. While it focuses on the Kerberos mechanism, it
should also be useable with other GSSAPI mechanisms.Documentation for the latest
released version (including pre-release versions) can be found at <.

%prep
%autosetup -n gssapi-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-gssapi -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Mon Oct 24 2022 Ge Wang <wangge20@h-partners.com> - 1.7.3-1
- update to version 1.7.3

*Wed Oct 21 2020 leiju <leiju4@huawei.com> - 1.5.1-3
- remove python2 subpackage

* Tue Apr 28 2020 yanan li <liyanan032@huawei.com> - 1.5.1-2
- Package init
